/* Box sizing rules */
*,
*::before,
*::after {
  box-sizing: border-box;
}

/* Remove default margin */
body,
h1,
h2,
h3,
h4,
p,
figure,
blockquote,
dl,
dd {
  margin: 0!important;
  padding: 0!important;
}

/* Remove list styles on ul, ol elements with a list role, which suggests default styling will be removed */
ul[role='list'],
ol[role='list'] {
  list-style: none;
}

/* Set core root defaults */
html:focus-within {
  scroll-behavior: smooth;
}

/* Set core body defaults */
body {
  min-height: 100vh;
  text-rendering: optimizeSpeed;
  line-height: 1.5;
  font-family: 'Inter', sans-serif;
  overflow-x: hidden!important;
  margin: 0!important;
  padding: 0!important;
  font-family: 'Poppins', sans-serif;
}

/* A elements that don't have a class get default styles */
a:not([class]) {
  text-decoration-skip-ink: auto;
}

a {
  text-decoration: none;
}

/* Make images easier to work with */
img,
picture {
  max-width: 100%;
  display: block;
}

/* Inherit fonts for inputs and buttons */
input,
button,
textarea,
select {
  font: inherit;
}

/* Remove all animations, transitions and smooth scroll for people that prefer not to see them */
@media (prefers-reduced-motion: reduce) {
  html:focus-within {
   scroll-behavior: auto;
  }
  
  *,
  *::before,
  *::after {
    animation-duration: 0.01ms !important;
    animation-iteration-count: 1 !important;
    transition-duration: 0.01ms !important;
    scroll-behavior: auto !important;
  }
}

.app {
  overflow-x: hidden!important;
}

/* Navbar */
.navbar {
  width: 100vw;
  display: flex;
  padding: .75rem 1.5rem;
    /* ff 3.6+ */
    background:-moz-linear-gradient(90deg, rgba(255, 150, 113, 1) 0%, rgba(242, 125, 136, 1) 100%); 

    /* safari 5.1+,chrome 10+ */
    background:-webkit-linear-gradient(90deg, rgba(255, 150, 113, 1) 0%, rgba(242, 125, 136, 1) 100%);

    /* opera 11.10+ */
    background:-o-linear-gradient(90deg, rgba(255, 150, 113, 1) 0%, rgba(242, 125, 136, 1) 100%);

    /* ie 6-9 */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#F27D88', endColorstr='#FF9671', GradientType=0 );

    /* ie 10+ */
    background:-ms-linear-gradient(90deg, rgba(255, 150, 113, 1) 0%, rgba(242, 125, 136, 1) 100%);

    /* global 94%+ browsers support */
    background:linear-gradient(90deg, rgba(255, 150, 113, 1) 0%, rgba(242, 125, 136, 1) 100%);
}

.navbar__brand h1 {
  font-size: var(--header-font-size);
  color: white;
}

.card__container {
  padding: 1.5rem;
  display: flex;
  gap: 30px;
}

.card__filter_container {
  max-width: 200px;
  max-height: 200px;
  height: 200px;
  width: 200px;
  background: #FBFBFC;
  border: 1px solid rgba(0, 0, 0, 0.1);
  box-shadow: 3px 4px 10px rgba(0, 0, 0, 0.17);
  border-radius: 10px;
}

.filter__header {
  border: 1px solid rgba(0, 0, 0, 0.1);
  border-radius: 10px 10px 0 0;
}

.filter__header_content {
  display: flex;
  gap: 10px;
  padding: .75rem 1rem;
  align-items: center;
}

.filter__header_content h4 {
  font-weight: 400;
}

.filter__list {
  padding: .5rem 1rem;

}

.card__list_container {
  width: 100%;
  height: 100%;
}

.gender {
  display: flex;
  gap: 5px;
  margin: 0.25rem 0;
}

.card__list_filtered_link {
  display: flex;
  gap: 5px;
  align-items: center;
  margin: .75rem 0;
  width: 100%;
  justify-content: space-between;
}

.card_list_filtered_category {
  display: flex;
  gap: 5px;
  align-items: center;
}

.card_list_content_list {
  background: #FBFBFC;
  border: 1px solid rgba(0, 0, 0, 0.1);
  box-shadow: 3px 4px 10px rgba(0, 0, 0, 0.17);
  border-radius: 10px;
  width: 100%;
  padding: 1.5rem 1.5rem 5rem 1.5rem;
  height: 100%;
  display: flex;
  gap: 15px;
  flex-wrap: wrap;
  position: relative;
}

.card_list_content_list .card_container {
  max-height: 500px;
  max-width: 250px;
  height: 100%;
  width: 100%;
  background: #FBE3D3;
  border-radius: 10px;
  transition: all .5s ease;
  cursor: pointer;
  position: relative;
}

.card_image_container {
  max-width: 250px;
  max-height: 312px;
}

.card_image_container img {
  height: 100%;
  width: 100%;
  border-radius: 10px 10px 0 0;
}

.card__info {
  padding: 1rem;
  color: black;
}

.card__small_info {
  font-size: 14px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

small.info_email {
  max-width: 150px;
  overflow-wrap: break-word;
}

.card__small_info .card_gender {
  display: flex;
  gap: 5px;
  align-items: baseline;
}

.fa-mars {
  color: #0067D2;
}

.fa-venus {
  color: #D26F9D;
}

.card__link {
  display: flex;
  gap: 5px;
}

.link_filter_icon {
  display: none;
}

.link_filter_icon h4 {
  font-weight: 500;
}

.page__loader {
  position: absolute;
  bottom: 10px;
  width: 100%;
  display: flex;
  justify-content: center;
}

.page__loader .button__loader {
  display: flex;
  gap: 10px;
  justify-content: center;
  align-items: center;
  padding: .75rem 2rem;
  border: 1px solid rgba(0, 0, 0, 0.1);
  border-radius: 30px;
  cursor: pointer;
  transition: .3s ease;
  box-shadow: 2px 4px 10px rgba(0, 0, 0, 0.17);
}

.button__loader:hover {
  background: -o-linear-gradient(90deg, rgba(255, 150, 113, 1) 0%, rgba(242, 125, 136, 1) 100%);
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#F27D88', endColorstr='#FF9671', GradientType=0 );
  background: linear-gradient(90deg, rgba(255, 150, 113, 1) 0%, rgba(242, 125, 136, 1) 100%);
  color: white;
  padding: 1rem 2.5rem;
}

@media screen and (max-width: 768px) {
  .card__container {
    gap: 0;
  }
  .card__filter_container {
    display: none;
  }

  .link_filter_icon {
    display: flex;
    gap: 6px;
    align-items: center;
    cursor: pointer;
  }


  .card__filter_container.card__filter_open {
    position: fixed;
    top: 0;
    left: -200px;
    max-height: 100vh;
    height: 100vh!important;
    border-radius: 0;
    transition: transform .3s ease;
    z-index: 10;
  }

  .card_list_content_list {
    justify-content: center;
  }
}


.card_container:hover {
  box-shadow: 6px 5px 3px 0px rgba(0, 0, 0, 0.005);
  transform: translateY(-10px);
}

.card_right_side {
  display: flex;
  gap: 5px;
  align-items: center;
  transition: all .3s ease;
}

.card_right_side .card_risght_side_addBtn {
  display: flex;
  gap: 10px;
  align-items: center;
  padding: 0.25rem 0.5rem;
  background: #81C26E;
  border-radius: 5px;
  color: white;
  font-size: 14px;
  cursor: pointer;
}

.add_container {
  padding: 1.5rem;
  display: flex;
  gap: 30px;
  justify-content: center;
  align-items: center;
}

.add_container_div {
  max-width: 500px;
  max-height: 525px;
  background: #FBFBFC;
  box-shadow: 3px 4px 10px rgba(0, 0, 0, 0.17);
  border-radius: 10px;
  padding: 1.25rem;
  display: flex;
  flex-direction: column;
  gap: 26px;
  justify-content: space-around;
  align-items: center;
}

.add_content_img_container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 7px;
}

.addForm_image {
  height: 100px;
  width: 100px;
}

.addForm_image img {
  width: 100%;
  height: 100%;
  border: 1px solid #E57B89;
  filter: drop-shadow(1px 3px 4px rgba(0, 0, 0, 0.25));
  border-radius: 500px;
  padding: 0.25rem;
}

.addForm_gender {
  display: flex;
  gap: 5px;
  align-items: center;
}

.addForm_gender i {
  cursor: pointer;
  font-size: 16px;
}

.addForm_gender .fa-mars-stroke {
  color: #005FCF;
}

.addForm_gender .fa-venus {
  color: #EC13C9;
}

.add_form {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.add_form_group_control {
  display: flex;
  justify-content: space-between;
  gap: 16px;
  align-items: center;
  margin: .25rem;
  width: 100%;
}

.add_form_group_control_single {
  width: 100%;
}

.add_form_group_control input,
.add_form_group_control_single input {
  width: 100%;
}

.add_form_group_control_single input {
  margin-top: 3px;
}

.group_control_sections label {
  font-weight: 600;
}

.group_control_sections input {
  padding: .75rem;
  background: rgba(239, 239, 239, 0.94);
  box-shadow: 1px 2px 4px rgba(0, 0, 0, 0.25);
  border-radius: 4px;
  outline: none;
  border: none;
  font-size: 14px;
}

.addForm_Btn {
  display: flex;
  gap: 16px;
  align-items: center;
  margin: .25rem;
}

.addForm_Btn button {
  width: 100%;
  border: none;
  outline: none;
  padding: .75rem;
  cursor: pointer;
  border-radius: 4px;
  transition: all .3s ease;
}

.addForm_Btn .nextBtn {
  background: #0067D2;
}

.addForm_Btn .submitBtn {
  background:-moz-linear-gradient(90deg, rgba(255, 150, 113, 1) 0%, rgba(242, 125, 136, 1) 100%); 

  /* safari 5.1+,chrome 10+ */
  background:-webkit-linear-gradient(90deg, rgba(255, 150, 113, 1) 0%, rgba(242, 125, 136, 1) 100%);

  /* opera 11.10+ */
  background:-o-linear-gradient(90deg, rgba(255, 150, 113, 1) 0%, rgba(242, 125, 136, 1) 100%);

  /* ie 6-9 */
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#F27D88', endColorstr='#FF9671', GradientType=0 );

  /* ie 10+ */
  background:-ms-linear-gradient(90deg, rgba(255, 150, 113, 1) 0%, rgba(242, 125, 136, 1) 100%);

  /* global 94%+ browsers support */
  background:linear-gradient(90deg, rgba(255, 150, 113, 1) 0%, rgba(242, 125, 136, 1) 100%);
}

.addForm_Btn .submitBtn:hover {
  color: white;
}

.addForm_Btn .nextBtn:hover {
  color: white;
}

.addForm_Btn .cancelBtn:hover {
  font-weight: 600;
}

.form_progress_indicator {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
  margin: .5rem 0;
}

.form_progress_indicator div {
  height: 10px;
  width: 10px;
  border-radius: 50%;
  background: radial-gradient(50% 50% at 50% 50%, rgba(242, 149, 125, 0.2) 0%, rgba(242, 149, 125, 0) 100%), #FF9671;
}

.current_progress {
  background: radial-gradient(50% 50% at 50% 50%, rgba(242, 149, 125, 0.2) 0%, rgba(242, 149, 125, 0) 100%), rgba(255, 150, 113, 0.2)!important;
}

.card_container_empty {
  width: 100%;
  height: 50vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

.empty_container_content {
  display: flex;
  gap: 10px;
  flex-direction: column;
  align-items: center;
  opacity: 0.8;
}

.empty_container_content i {
  font-size: 24px;
}

.card_container .deleteBtn {
  position: absolute;
  top: 0px;
  right: 10px;
  font-size: 35px;
  transition: all .3s ease;
  color: #901100;
}

.card_container .deleteBtn:hover {
  transform: scale(1.5);
}

.table__container {
  width: 100%;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

table, th, td {
  border: 1px solid black;
}

.pagination_container {
  display: flex;
  justify-content: end;
  /* width: 50%; */
  align-items: center;
  margin: 1rem;
}

.page_content {
  display: flex;
  align-items: center;
  gap: 20px;
}

.page_content button {
  padding: .5rem 1.25rem;
  outline: none;
  border: none;
  cursor: pointer;
  transition: all .3s ease;
}

.page_content button:nth-child(1) {
  border-radius: 10px 0 0 10px;
}

.page_content .second {
  border-radius: 0 10px 10px 0!important;
}

.page_content .first:hover,
.page_content .second:hover {
  background: #57B7FF;
  color: white;
}

.table_container {
  padding: 1rem;
  width: 100vw;
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
}